STRUCT UIO_PORT(9)

NAME
struct_uio_port - description of a UIO port region

SYNOPSIS

struct uio_port {
  const char * name;
  unsigned long start;
  unsigned long size;
  int porttype;
  struct uio_portio * portio;
};

MEMBERS

name
    name of the port region for identification

start
    start of port region

size
    size of port region

porttype
    type of port (see UIO_PORT_* below)

portio
    for use by the UIO core only.

COPYRIGHT